%define		module	jaxml
Summary:	Module for automated generation of XML, XHTML or HTML documents
Summary(pl.UTF-8):	Moduł do automatycznego generowania dokumentów XML, XHTML lub HTML
Name:		python-%{module}
Version:	3.02
Release:	2
License:	LGPL
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/j/jaxml/jaxml-%{version}.tar.gz
# Source0-md5:	1526ccc4468342e3a39af6cebeab3dc8
URL:		http://www.librelogiciel.com/software/jaxml/action_Presentation
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JAXML is a Python module which makes the automated generation of XML,
XHTML or HTML documents easy.

%description -l pl.UTF-8
JAXML jest modułem dla Pythona, który upraszcza automatyczne
generowanie dokumentów XML, XHTML or HTML.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS NEWS README
%{py_sitescriptdir}/jaxml.py[co]
%{py_sitescriptdir}/jaxml*.egg-info
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-jaxml.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> dc114c6
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 2c0021f
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 5cf145c
- BR: python-setuptools

* Mon Aug 23 2010 Elan Ruusamäe <glen@pld-linux.org> 862c52c
- up to 3.02 (py2.7 compatible), noarch

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6840206
- release 4

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1304430
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3c43a4b
- release 2

* Wed Apr 16 2008 Jakub Bogusz <qboosh@pld-linux.org> a614433
- pl fix, formatting, pythonprov BRs

* Sat Dec 08 2007 beorn <beorn@pld-linux.org> 313a85c
- PL fix :D

* Sat Dec 08 2007 beorn <beorn@pld-linux.org> 0d09c90
- Group fix

* Sat Dec 08 2007 Jan Rękorajski <baggins@pld-linux.org> aa62a27
- rel 1

* Sat Dec 08 2007 Jan Rękorajski <baggins@pld-linux.org> afa7997
- initial revision

